---
layout: post
title: "Well, looks like it's 'awesome Smoothie Board 2 [Pro]' question time?"
date: January 14, 2016 19:02
category: "General discussion"
author: "Artem Grunichev"
---
Well, looks like it's 'awesome Smoothie Board 2 [Pro]' question time?

Anyway, **+Arthur Wolf**, how's progress?





**"Artem Grunichev"**

---
---
**Arthur Wolf** *January 14, 2016 19:03*

**+Артем Груничев** Making progress, still having to do a lot. 

<b>No</b> I don't know when it'll come out :)


---
**Artem Grunichev** *January 14, 2016 19:36*

**+Arthur Wolf**, still don't need help?


---
**Arthur Wolf** *January 14, 2016 19:39*

We will as soon as we can send protos out.


---
**Artem Grunichev** *January 14, 2016 22:09*

waiting for it!


---
*Imported from [Google+](https://plus.google.com/101033487868604831015/posts/Ao3fEfKa42c) &mdash; content and formatting may not be reliable*
